local icons = require("lazyvim.config").icons

return {
    {
        "nvim-lualine/lualine.nvim",
        opts = {
            options = {
                theme = 'tokyonight',
                icons_enabled = true,
                globalstatus = true,
                section_separators = { left = '', right = '' },
                component_separators = { left = '', right = '' },
                disabled_filetypes = {
                    statusline = {
                        'help',
                        'startify',
                        'dashboard',
                        'packer',
                        'neogitstatus',
                        -- 'NvimTree',
                        -- 'Trouble',
                        'alpha',
                        'lir',
                        -- 'Outline',
                        'spectre_panel',
                        -- 'toggleterm',
                        'qf',
                    }
                },
                sections = {
                    lualine_a = { 'mode' },
                    lualine_b = {
                        'branch',
                        draw_empty = true,
                    },
                    lualine_c = {
                        {
                            'diff',
                            symbols = { added = '+', modified = '~', removed = '-' },
                            colored = true,
                        },
                        {
                            "diagnostics",
                            sources = { 'nvim_lsp' },
                            symbols = {
                                error = icons.diagnostics.Error,
                                warn = icons.diagnostics.Warn,
                                info = icons.diagnostics.Info,
                                hint = icons.diagnostics.Hint,
                            },
                            colored = true
                        },
                        {
                            'filename',
                            file_status = true,
                            path = 0,
                            symbols = {
                                modified = '[+]',      -- Text to show when the file is modified.
                                readonly = '[-]',      -- Text to show when the file is non-modifiable or readonly.
                                unnamed = '[No Name]', -- Text to show for unnamed buffers.
                                newfile = '[New]',     -- Text to show for newly created file before first write
                            },
                        },
                    },
                    lualine_x = {
                        'encoding',
                        'fileformat',
                        {
                            'filetype',
                            colored = true,
                        }
                    },
                    lualine_y = { 'progress' },
                    lualine_z = { 'location' },
                },
            },
        },
        dependencies = {
            'nvim-tree/nvim-web-devicons'
        }
    },
}
